﻿@model IEnumerable<EPPW.Membership.Dto.ProgramDto>
<table id="ProgramTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
    <thead>
        <tr role="row">
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramTable"
                rowspan="1" colspan="1" style="width: 106px;">
                Program Code
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramTable"
                rowspan="1" colspan="1" style="width: 106px;">
                Program Name
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramTable"
                rowspan="1" colspan="1" style="width: 20px;">
                Used
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramTable"
                rowspan="1" colspan="1" style="width: 30px;">
                Role
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramTable"
                rowspan="1" colspan="1" style="width: 40px;">
            </th>
        </tr>
    </thead>
    <tbody>
        @if (Model == null)
        {
            <tr>
                <td colspan="4">
                    <p>
                        没有查询的数据。</p>
                </td>
            </tr>
        }
        else
        {
            foreach (EPPW.Membership.Dto.ProgramDto item in Model)
            {
            <tr>
                <td>@Html.DisplayFor(ProgramPage => item.Code)
                </td>
                <td>@Html.DisplayFor(ProgramPage => item.Name)
                </td>
                <td>@Html.DisplayFor(ProgramPage => item.IsUsed)
                </td>
                <td>
                    <a href="@Url.Action("ProgramsInRole", "AdminProgram", new { id = item.ProgramId,programName=item.Name, view = "tab4" })" class="btn btn-small btn-block">
                        <i class='icon-filter'></i>@item.RoleCnt</a>
                </td>
                <td>
                    <div class="btn-group">
                        @* btn-primary  btn-info  btn-danger*@ 
                        <a href="@Url.Action("Details", "AdminProgram", new { id = item.ProgramId })" class="btn btn-small" title="Detail" >
                                <i class='icon-info-sign'></i></a>
                        <a href="@Url.Action("Edit", "AdminProgram", new { id = item.ProgramId })" class="btn btn-small" title="Edit" >
                            <i class='icon-edit'></i></a><a href="@Url.Action("Delete", "AdminProgram", new { id = item.ProgramId })" class="btn btn-small" title="Delete">
                                    <i class='icon-trash'></i></a>
                    </div>
                </td>
            </tr>
            }
        }
    </tbody>
</table>
